<?php
    use Nexus\Config\cConfig;
    use Nexus\Helpers\DataAPI;
    use Nexus\Misc\cHelpers;

    error_reporting(E_ALL);

    require "./vendor/autoload.php";
    require "./API.php";

    session_start();
    $p = new Smarty();
    $p->setTemplateDir("./temps/");
    $p->setCompileDir("./cpl/");
    $DATA = array_merge($_GET, $_POST);

    //================================================


    DataAPI::Instance()->Connect(cConfig::$sql_info[ 'user' ], cConfig::$sql_info[ 'pass' ], cConfig::$sql_info[ 'server' ], cConfig::$sql_info[ 'database' ]);

    $p->assign("panelname", cConfig::$platform_info['name']);
    $p->assign("iconloc", cConfig::$platform_info['iconloc']);
    $p->assign("tagline", cConfig::$branding_info['tagline']);

    //=================================================

    if (!empty($DATA['email']) && !empty($DATA['password']) && !empty(['verifiedpassword'])){
        \Nexus\Core\cActiveClient::Register(strtolower($DATA['email']),$DATA['password'], $DATA['firstname'], $DATA['lastname'],$DATA['phone'],$DATA['state']);
        \Nexus\Core\cActiveClient::Login(strtolower($DATA['email']),$DATA['password']);


    }

    if (!empty($DATA['email']) && !empty($DATA['password'])){
        if (!\Nexus\Core\cActiveClient::Login(strtolower($DATA['email']),$DATA['password']))
        {
            $p->assign('status', 'Invalid username or password!');
        }
    }

    if ($DATA['p'] == 'logoff'){
        \Nexus\Core\cActiveClient::Logout();
    }


    if (!\Nexus\Core\cActiveClient::IsLoggedIn()){
        switch ($DATA['p']) {
            case "signup":
                $p->display("signup.tpl");
                break;
            case "forgotpassword":
                $p->display("forgotpassword.tpl");
                break;
            default:
                $p->display("dash2.tpl");//replace with signin
                break;
        }
    }
    else {


        if (!empty($_FILES["avatar"]))
        {

            \Nexus\Core\cActiveClient::AddProfilePicture($_SESSION['userid'],file_get_contents($_FILES["avatar"]["tmp_name"]));
        }
        $p->assign("fullname",$_SESSION['firstname'] . ' ' . $_SESSION['lastname']);
        $p->assign("profilepicture","data:image/png;base64, " . \Nexus\Core\cActiveClient::GetProfilePicture($_SESSION['userid']));




        //switch pages
        switch ($DATA['p']) {

            case "dashboard":
                $p->display("dash2.tpl");
                break;

            default:
                $p->display("dash2.tpl");
                break;
        }

    }